Subject: [netext] about the mMAG draft, and network mobility for PMIP

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 05 Nov 2012 23:02:18 +0100

I wanted to say at the mic.

I read this mMAG draft.  I also read the netext wg ig pmip prefix
delegation.  Additioally, I co-authored another draft about pmip and
network mobility.

I think overall we may have an issue here about the lack of a problemm
statement draft for pmip network mobility.  I do not consider it
blocking but it does backfire a bit here, if I can say so.

One interesting aspect of mMAG (other than that it can work) is that it
does not use DHCP at all.  You Raj asked which operator would be
interested in this mMAG concept - well any which does not implement
DHCP-PD today, and there are many I think.

One differentiating advantageous aspect in the netext wg item pmip
prefix delegation is that it delegates a v6 as well as a v4 prefix.  But
it has the inconvenient of requiring mandatorily the GRE encapsulation
(other kind sof encapsulaiton exist as well.

Alex

---

From: "Seil Jeon" <[email-masked]>
Date: Tue, 6 Nov 2012 13:20:19 -0000

Hi Alex,

Thanks for  your comment.
Please see [Seil] inline.

Regards,
Seil

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Alexandru Petrescu
Sent: Monday, November 05, 2012 10:02 PM
To: [email-masked]
Subject: [netext] about the mMAG draft, and network mobility for PMIP

I read this mMAG draft.  I also read the netext wg ig pmip prefix
delegation.  Additioally, I co-authored another draft about pmip and network
mobility.

I think overall we may have an issue here about the lack of a problemm
statement draft for pmip network mobility.  I do not consider it blocking
but it does backfire a bit here, if I can say so.

One interesting aspect of mMAG (other than that it can work) is that it does
not use DHCP at all.  You Raj asked which operator would be interested in
this mMAG concept - well any which does not implement DHCP-PD today, and
there are many I think.

[Seil] As I told after the meeting, PMIPv6 specified stateless IP address
configuration, right? And I believe we don't need to limit IP address
configuration method with DHCP only in network mobility, even on business
model. Main issue, in operator perspective, would not be the use of DHCP or
not but how to arrange NEMO concept aligned with existing PMIPv6 protocol.

One differentiating advantageous aspect in the netext wg item pmip prefix
delegation is that it delegates a v6 as well as a v4 prefix.  But it has the
inconvenient of requiring mandatorily the GRE encapsulation (other kind sof
encapsulaiton exist as well.

Alex

_______________________________________________
netext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netext

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 07 Nov 2012 20:48:08 +0100

Le 06/11/2012 14:20, Seil Jeon a écrit :
> Hi Alex,
>
> Thanks for  your comment. Please see [Seil] inline.
>
> Regards, Seil
>
> -----Original Message----- From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Alexandru Petrescu
> Sent: Monday, November 05, 2012 10:02 PM To: [email-masked] Subject:
> [netext] about the mMAG draft, and network mobility for PMIP
>
> I think overall we may have an issue here about the lack of a
> problemm statement draft for pmip network mobility.  I do not
> consider it blocking but it does backfire a bit here, if I can say
> so.
>
> One interesting aspect of mMAG (other than that it can work) is that
> it does not use DHCP at all.  You Raj asked which operator would be
> [Seil] As I told after the meeting, PMIPv6 specified stateless IP
> address configuration, right? And I believe we don't need to limit IP
> address configuration method with DHCP only in network mobility, even
> on business model. Main issue, in operator perspective, would not be
> the use of DHCP or not but how to arrange NEMO concept aligned with
> existing PMIPv6 protocol.

Ok, understood.  I can understand some operators may prefer to use ND to
auto-configure addresses on the Mobile Host, as well as on Mobile
Routers.  The mMAG solution you presented seemed to realize MRs with
just using ND to configure address on MR, without DHCP PD.  And without
PD in RA either.  It just uses double encapsulation.  Which could be
acceptable some times.

Alex

> prefix delegation is that it delegates a v6 as well as a v4 prefix.
> But it has the inconvenient of requiring mandatorily the GRE
> encapsulation (other kind sof encapsulaiton exist as well.
>
>
> Alex
>
> _______________________________________________ netext mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/netext
>
>